Bug 13661 - Apache cannot not handle dynamic IP reallocation
Summary: Apache cannot not handle dynamic IP reallocation
Status: ASSIGNED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mpm_winnt (show other bugs)
Version: 2.0-HEAD
Hardware: PC Windows XP
: P3 enhancement with 12 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL: http://www.russkhan.com
Keywords: FAQ
Depends on:
Blocks:
 
Reported: 2002-10-15 17:42 UTC by russ
Modified: 2005-12-08 17:20 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description russ 2002-10-15 17:42:18 UTC
I have installed 2.0.43 (Binary) in my XP. But I am having this weird problem. 
One thing I have noticed, It happens from approx. 7 AM to 7 PM 
(MST). In about every other hit my apache is crashing with the following error 
message. It works like a champ at night. I am using AT&T Broadband and I am 
testing it with few test pages, On average I am getting about 20 Unique hits a 
day. It's not my ISP is busy, I can download 300/500 Mbps files during that 
time with no problem, I am also running MDaemon Mail server (Port 3000 for web 
based client with MDaemon web server) and that works with no problem at all.

My IP is not changing though, it hasn't been changed 
for past 8 months. Also it worked fine with 1.XX.XX. I am using Zone Alarm 
firewall and PC Chillin Anti Virus. Do you think it has something to do with it 
or still could be dynamic IP problem? Then I can open a new incedient. 


[warn] (720064) The specified network name is no longer available : 
winnt_accept : Aynchronous AcceptEx failed. 

Need Help
Comment 1 Joseph Alliz 2002-11-07 14:07:43 UTC
I got nearly the same bug:
winnt_accept : AcceptEx failed. Attempting to recover.

I fixed it by desabling the HAWK for mail of McAfee Virus Scan.

I hop it will help.

Comment 2 William A. Rowe Jr. 2002-11-07 21:12:17 UTC
*** Bug 13991 has been marked as a duplicate of this bug. ***
Comment 3 Ivelin Ivanov 2002-11-19 18:27:45 UTC
Unfortunately stopping all AntiVirus services did not help.

Here is additionaly analisys from one of our team members:

Symptoms:
	CPU goes from a normal load to 100% and stays there.  Usually the 
system stops responding to requests.  Apache stops logging events, sometimes 
after logging an Out of Threads message to the error.log, sometimes not.  
Process lists indicate that Apache is taking up all CPU resources.  Process 
monitoring indicates that the actual child process is taking the CPU.  If the 
log contains an Out of Threads message, usually the second web server will go 
down with the same symptoms within 15 minutes or so.  If there is no OOT 
message, usually this will not happen.

Info:
	Memory seems steady.  I/O seems OK as well.  No pattern in when these 
occur.  Slightly more likely during the week then the weekend.  HTML requests 
right before this happens are normal requests.  The service will rarely respond 
to NET STOP commands when in this state.  Reboots correct this problem.  Anti-
Virus has been stopped on the system.  After stopping AV on 11-12, the problem 
happened several hours later, then not again until 11-18, the longest period 
yet.  Since then, the Patrol has reported 8 various CPU pegs, including the 
first one on 11-18.  The Web boxes are Win2K SP2.  Apache is 2.0.42.  We are 
not able to duplicate this problem in the lab under stress conditions.

Speculation:
	I believe this may be two linked but still separate problems, one, the 
OOT problem, the other, the "stoplog" problem.  I say this because with an OOT, 
if threads are not released, Apache will not accept connections, and there's 
nothing to put in the logs.  Also, this issue somehow crosses to the other web, 
which soon goes down.  On the other hand, the stoplog problem never crosses to 
another server, and often the server continues to serve requests after the CPU 
peg.  These requests are not logged, however.  I also believe this to be a non-
RSM related problem as I feel we would be seeing more regular occurrences or 
duplication in the lab.  Possibly a malformed HTML request.

Conclusion:
	Stopping AV did not fix this problem. 

Thanks,
Andrew
Comment 4 Chandrakant Chandraker 2002-12-17 03:53:28 UTC
The same problem is happening with me on Windows 2000 Professional, Apache 4.0.23 and PHP 4.4.0 
dev. My messages are something like followings:
For firewall, I am having a D-Link DI-707 router 
which handles cable modem connection and my LAN of two computers. I have static IP since more than 4 
months.

[Mon Dec 16 22:42:36 2002] [warn] (720121)The semaphore timeout period has 
expired.  : winnt_accept: Asynchronous AcceptEx failed.
[Mon Dec 16 22:43:05 2002] [warn] 
(720121)The semaphore timeout period has expired.  : winnt_accept: Asynchronous AcceptEx 
failed.
[Mon Dec 16 22:43:32 2002] [warn] (720121)The semaphore timeout period has expired.  : 
winnt_accept: Asynchronous AcceptEx failed.
[Mon Dec 16 22:43:32 2002] [warn] (720064)The 
specified network name is no longer available.  : winnt_accept: Asynchronous AcceptEx 
failed.

The web site works perfectly fine behind the firewall but from outside access it is 
giving the above errors. I tried stopping the mail server, and antivirus. but nothing helped 
me.
Please help me out...
 
Comment 5 jhonyl 2003-12-15 10:46:10 UTC
On W2K, this is what I get in error.log:
----------------------------------
[Mon Dec 15 12:39:48 2003] [warn] (OS 64)The specified network name is no 
longer available.  : winnt_accept: Asynchronous AcceptEx failed.
[Mon Dec 15 12:39:51 2003] [warn] (OS 64)The specified network name is no 
longer available.  : winnt_accept: Asynchronous AcceptEx failed.
[Mon Dec 15 12:39:57 2003] [warn] (OS 64)The specified network name is no 
longer available.  : winnt_accept: Asynchronous AcceptEx failed.
----------------------------------

The server is invisable from outside the local network.
Comment 6 David D. Kilzer 2005-03-09 01:38:51 UTC
At work, we are running Windows 2003 Server with Symantec AntiVirus Client
v8.0.0.374 with Symantec LiveUpdate v1.7 and Computer Associate's (CA)
BrightStor ARCserve Backup Client Agent for Windows v11.0.0 and CA BrightStor
ARCserve Backup Diagnostic Utilities v11.0.0.

I have NOT tried removing the anti-virus software (and rebooting) to see if this
issue goes away (per Bug 8325 Comment 15, this is not the issue).

I have NOT tried enabling the Win32DisableAcceptEx directive to see if that helps.

http://httpd.apache.org/docs-2.0/mod/mpm_winnt.html#win32disableacceptex

We are using Apache_2.0.52-Openssl_0.9.7d-Win32.zip from the
http://hunter.campbus.com/ web site.

A mix of these error messages are seen in the error.log file:

[Tue Mar 08 09:31:25 2005] [warn] (OS 121)The semaphore timeout period has
expired.  : winnt_accept: Asynchronous AcceptEx failed.
[Tue Mar 08 09:31:25 2005] [warn] (OS 64)The specified network name is no longer
available.  : winnt_accept: Asynchronous AcceptEx failed.

We are NOT using DHCP (dynamic IP assignment) on this server, so I'm puzzled by
what Will Rowe was talking about in Bug 8325 Comment 15 regarding Apache not
handling "dynamic IP assignment".

Has anyone found a work-around for this?
Comment 7 David D. Kilzer 2005-03-09 02:08:35 UTC
A little more info on my previous comment:

- The web site is up and running despite these errors, and I can't correlate the
times on the errors in the error log to 500-level errors in the access log
(which we're seeing on some POST requests).
- Apache is set up as a reverse proxy server to Tomcat 5.0.28 (on a different
server).
- Apache is set up to "talk" SSL to the browser, and to use SSL client
authentication when talking to Tomcat via reverse proxy.
Comment 8 David D. Kilzer 2005-03-09 16:57:48 UTC
See also Bug 21425 (some working solutions for comments in Jan-Mar, 2005; an
earlier comment references a Microsoft KB article about potential ethernet
hardware issues) and Bug 24261.
Comment 9 William A. Rowe Jr. 2005-12-09 02:20:00 UTC
  Upon thinking of this further, there's no way to handle the dynamic IP change
  without a graceful restart.

  But; do we want every network change notification to trigger a graceful?  It
  seems like it would introduce the potential of new, interesting DoS attacks.

  Sooo... I'm thinking NetworkChangeRestart on|off that would cause a restart
  on network change notifications (coming from whatever OS would support them,
  I'm only offering to fight the Win32 war on this front ;-)